org.apache.olingo.server.api.deserializer.batch

## Class BatchRequestPart

- java.lang.Object
- - org.apache.olingo.server.api.deserializer.batch.BatchRequestPart

-     public class BatchRequestPart
      extends Object

  Represents a distinct MIME part of a Batch Request body - either a Change Set or a Query Operation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchRequestPart(boolean isChangeSet, List<ODataRequest> requests)` Creates a new instance of BachRequestPart.
    `BatchRequestPart(boolean isChangeSet, ODataRequest request)` Creates a new instance of BachRequestPart.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ODataRequest>` | `getRequests()` Gets all requests of this part.
    `boolean` | `isChangeSet()` Gets the info if a BatchPart is a ChangeSet.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchRequestPart

          public BatchRequestPart(boolean isChangeSet,
                                  List<ODataRequest> requests)

      Creates a new instance of BachRequestPart.
      Parameters:
        `isChangeSet` - True, if this instance represents a change set
        `requests` - A list of `ODataRequest`

    - #### BatchRequestPart

          public BatchRequestPart(boolean isChangeSet,
                                  ODataRequest request)

      Creates a new instance of BachRequestPart.
      Parameters:
        `isChangeSet` - True, if this instance represents a change set
        `request` - A single `ODataRequest`

  - ### Method Detail

    - #### isChangeSet

          public boolean isChangeSet()

      Gets the info if a BatchPart is a ChangeSet.
      Returns:
        true or false

    - #### getRequests

          public List<ODataRequest> getRequests()

      Gets all requests of this part. If a BatchPart is a Query Operation, the list contains one request.
      Returns:
        a list of `ODataRequest`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.